Roll back to GIMP 2.6?

Questions about applications and software
Forum rules
Before you post please read how to get help
patrick.mooney
Level 1
Level 1
Posts: 29
Joined: Sun Nov 20, 2011 5:07 pm
Location: Santa Barbara, California
Contact:

Roll back to GIMP 2.6?

Postby patrick.mooney » Sun Jan 13, 2013 8:29 am

I really hate the GIMP 2.8. It's slow, breaks some of my favorite plug-ins, hogs memory, causes swapping, and is trying to force me to relearn key combinations. As an added bonus, it's pushy about trying to get me to save in .xcf. I want to roll back to GIMP 2.6, but nothing seems to work. I tried adding Ubuntu lucid repos to my /etc/apt/sources.list, then using "Force version ..." in Synaptic, but there seem to be unresolvable dependency problems. I also tried downloading a 2.6 install package from packages.ubuntu.com, but again, dpkg can't seem to resolve various dependency problems. Here's the output from dpkg:

Code: Select all

sudo dpkg -i gimp_2.6.8-2ubuntu1.6_i386.deb
Selecting previously unselected package gimp.
(Reading database ... 256799 files and directories currently installed.)
Unpacking gimp (from gimp_2.6.8-2ubuntu1.6_i386.deb) ...
dpkg: dependency problems prevent configuration of gimp:
 gimp depends on libgimp2.0 (>= 2.6.8); however:
  Package libgimp2.0 is not installed.
 gimp depends on libgimp2.0 (<= 2.6.8-z); however:
  Package libgimp2.0 is not installed.
 gimp depends on gimp-data (>= 2.6.8); however:
  Package gimp-data is not installed.
 gimp depends on gimp-data (<= 2.6.8-z); however:
  Package gimp-data is not installed.
 gimp depends on libgegl-0.0-0; however:
  Package libgegl-0.0-0 is not installed.
 gimp depends on python (<< 2.7); however:
  Version of python on system is 2.7.3-0ubuntu7.

dpkg: error processing gimp (--install):
 dependency problems - leaving unconfigured
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for menu ...
Processing triggers for man-db ...
Errors were encountered while processing:
 gimp


I really hate 2.8. There must be some way to roll back to 2.6. Help!
Current setup: Sony VAIO VGN-FZ250E, 2GB RAM, Intel Core Duo, 2.2GHz; Linux Mint Nadia
http://patrickbrianmooney.nfshost.com/~patrick/

patrick.mooney
Level 1
Level 1
Posts: 29
Joined: Sun Nov 20, 2011 5:07 pm
Location: Santa Barbara, California
Contact:

Re: Roll back to GIMP 2.6?

Postby patrick.mooney » Tue Jan 15, 2013 4:46 pm

bump.
Current setup: Sony VAIO VGN-FZ250E, 2GB RAM, Intel Core Duo, 2.2GHz; Linux Mint Nadia
http://patrickbrianmooney.nfshost.com/~patrick/

patrick.mooney
Level 1
Level 1
Posts: 29
Joined: Sun Nov 20, 2011 5:07 pm
Location: Santa Barbara, California
Contact:

Re: Roll back to GIMP 2.6?

Postby patrick.mooney » Fri Jan 18, 2013 8:52 am

Bump.
Current setup: Sony VAIO VGN-FZ250E, 2GB RAM, Intel Core Duo, 2.2GHz; Linux Mint Nadia
http://patrickbrianmooney.nfshost.com/~patrick/

zerozero
Level 16
Level 16
Posts: 6517
Joined: Tue Jul 07, 2009 2:29 pm

Re: Roll back to GIMP 2.6?

Postby zerozero » Fri Jan 18, 2013 8:58 am

what mint edition you have?
mint 13 has gimp 2.6 (and plus is a LTS release supported until april 2017)
Image

[ bliss of ignorance ]

patrick.mooney
Level 1
Level 1
Posts: 29
Joined: Sun Nov 20, 2011 5:07 pm
Location: Santa Barbara, California
Contact:

Re: Roll back to GIMP 2.6?

Postby patrick.mooney » Sat Jan 19, 2013 3:19 am

I'm using 14, but your comment makes me think about rolling back to 13 just for that reason. Still, I'd love to be able to install GIMP 2.6 without reinstalling the whole operating system, if anyone has any suggestions.
Current setup: Sony VAIO VGN-FZ250E, 2GB RAM, Intel Core Duo, 2.2GHz; Linux Mint Nadia
http://patrickbrianmooney.nfshost.com/~patrick/

patrick.mooney
Level 1
Level 1
Posts: 29
Joined: Sun Nov 20, 2011 5:07 pm
Location: Santa Barbara, California
Contact:

Re: Roll back to GIMP 2.6?

Postby patrick.mooney » Tue Jan 22, 2013 11:54 am

Never mind. Went ahead and rolled back to Maya.
Current setup: Sony VAIO VGN-FZ250E, 2GB RAM, Intel Core Duo, 2.2GHz; Linux Mint Nadia
http://patrickbrianmooney.nfshost.com/~patrick/


Return to “Software & Applications”

Who is online

Users browsing this forum: No registered users and 4 guests